complexType "CommodityRelativeExpirationDates"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | expireRelativeToEvent, expirationDateOffset, (businessCentersReference | businessCenters)?
</...>

Content Model Elements (4):

  businessCenters, businessCentersReference, expirationDateOffset, expireRelativeToEvent

All Direct / Indirect Based Elements (3):

  relativeCommencementDates,
  relativeExpirationDates (in americanExercise in physicalExercise),
  relativeExpirationDates (in europeanExercise in physicalExercise)

Known Usage Locations

- As direct type of elements (3):
  relativeCommencementDates,
  relativeExpirationDates (in americanExercise in physicalExercise),
  relativeExpirationDates (in europeanExercise in physicalExercise)

Annotation
The Expiration Dates of the trade relative to the Calculation Periods.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommodityRelativeExpirationDates"> <xsd:sequence> <xsd:element name="expireRelativeToEvent" type="CommodityExpireRelativeToEvent"/> <xsd:element name="expirationDateOffset" type="DateOffset"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/4)
expirationDateOffset

  Type: | DateOffset, complex content

  Specifies any offset from the adjusted Calculation Period start date or adjusted Calculation Period end date applicable to each Payment Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expirationDateOffset" type="DateOffset"/>

expireRelativeToEvent

  Type: | CommodityExpireRelativeToEvent, simple content

  Specifies whether the payment(s) occur relative to the date of a physical event.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expireRelativeToEvent" type="CommodityExpireRelativeToEvent"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.